Name:        comic-shanns-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     MIT
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/ComicShannsMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 ComicShannsMonoNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFont-Bold.otf
install -Dm644 ComicShannsMonoNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFont-Regular.otf
install -Dm644 ComicShannsMonoNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontMono-Bold.otf
install -Dm644 ComicShannsMonoNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontMono-Regular.otf
install -Dm644 ComicShannsMonoNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontPropo-Bold.otf
install -Dm644 ComicShannsMonoNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/ComicShannsMonoNerdFontPropo-Regular.otf
%license "LICENSE.md"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
